package com.gingersoft.gsa.cloud.database.bean;

import android.graphics.Color;
import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Generated;
import org.greenrobot.greendao.annotation.Id;
import org.greenrobot.greendao.annotation.JoinEntity;
import org.greenrobot.greendao.annotation.Property;
import org.greenrobot.greendao.annotation.ToMany;
import org.greenrobot.greendao.annotation.Transient;
import java.util.Date;
import java.util.List;
import org.greenrobot.greendao.DaoException;
import com.gingersoft.gsa.cloud.database.greendao.DaoSession;
import com.gingersoft.gsa.cloud.database.greendao.ComboItemDao;
import com.gingersoft.gsa.cloud.database.greendao.FoodDao;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2020-01-02
 * 修订历史：2020-01-02
 * 描述：
 */

@Entity
public class Food {

    /**
     * ID
     */
    @Property(nameInDb = "FID")
    @Id(autoincrement = true)
    private Long id;
    /**
     * 上級ID (如0=最高級)
     */
    private long parentId;
    /**
     * 商户ID
     */
    private long restaurantId;
    /**食品ID*/
//    private Long fid;
    /**
     * 是否組別
     */
    private byte isParent;
    /**
     * 排序
     */
    private long seqNo;
    /**
     * 名稱1
     */
    private String foodName;
    /**
     * 食品名称1
     */
    private String foodName1;
    /**
     * 食品名称2
     */
    private String foodName2;
    /**
     * 自定義食品編號
     */
    private String plu;
    /**
     * 本地对应ID
     */
    private String posFid;
    /**
     * 描述
     */
    private String foodDesc;
    /**
     * 限制比例#0不做判断;（人数*N）
     */
    private long limitAmount;
    /**
     * 限制类型#1:表示每次送单限制 ;2:表示整单限制
     */
    private long limitType;
    /**
     * 餐种{@link com.gingersoft.gsa.cloud.constans.FoodSummaryConstans}
     */
    private String foodSummary;
    /**
     * 0=顯示, 1=隱藏, 2=暫停,3=只显示,不操作
     */
    private long invisible;
    /**
     * 自動跳出細項頁
     */
    private byte autoMod;
    /**
     * 金額
     */
    private double price;
    /**
     * 原價 (刪除線)
     */
    private double marketPrice;
    /**
     * 餐盒费
     */
    private double lunchboxPrice;
    /**
     * 食品小图片
     */
    private String imgUrlSmall;
    /**
     * 食品大图片
     */
    private String imageurl;
    /**
     * ricepon显示状态，当为0的时候，取Invisible的状态:0=顯示, 1=隱藏, 2=暫停
     */
    private long riceponInvisible;
    /**
     * 成本
     */
    private double cost;
    /**
     * 開始日期
     */
    private Date startDate;
    /**
     * 結束日期
     */
    private Date endDate;
    /**
     * 贊
     */
    private long like;
    /**
     * 已售
     */
    private long totalSold;
    /**
     * 是否显示已售
     */
    private long isSold;
    /**
     * 创建人
     */
    private String createBy;

    private Date createTime;
    /**
     * 更新人
     */
    private String updateBy;
    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 時段, 請關聯到m_period_info
     */
    private long periodId;
    /**
     * 是否参与折扣#1:可折扣
     */
    private long ableDiscount;
    /**
     * 是否外卖#0:是;1:否
     */
    private long takeaway;
    /**
     * 餐頁面中藍色按鈕有沒有編輯按鈕  (筆的圖按) 0=不可編輯 1=可編輯
     */
    private long blueEdit;
    /**
     * 購物車中是否可編輯  (加入口味)  0=隱藏購物車中食品的編輯按鈕 1=顯示按鈕
     */
    private long cartEdit;
    /**
     * 相同項目自動合併 0=不自動合併 1=自動合併
     */
    private long autoMerge;
    /**
     * 打印設定, 用逗號分隔, *=切紙
     */
    private String printSeting;
    /**
     * 是否打印叫号小票
     */
    private long isPrintQueueCode;
    /**
     * 打印叫号小票对应队ID
     */
    private long queueHeadId;
    /**
     * 是否需要經理批準
     */
    private long approve;
    /**
     * 0=系統顏色, 1=黑色, 2=紅色
     */
    private long printFont;
    /**
     * 自動顯示細項
     */
    private long advPrice;
    /**
     * 當金額=0時, 是否打印在帳單上
     */
    private long printToBill;
    /**
     * 額外食品加分
     */
    private double pointsAdd;
    /**
     * 額外積分比率
     */
    private long pointsRatio;
    /**
     * 換購食品所需積分
     */
    private double pointsRedeem;
    /**
     * 是否打印主项
     */
    private long ktPrintMainItem;
    /**
     * 是否打印价格
     */
    private long ktShowPrice;
    /**
     * 0食品清单打印 账单打印//1食品清单不打印 账单不打印//2食品清单打印 账单不打印//3食品清单不打印 账单打印
     */
    private long printTo;
    /**
     * 食品数量是否同步 餐台人数
     */
    private long toPax;
    /**
     * 食品类型 0普通食品 1称重食品
     */
    private long foodType;
    /**
     * gspos自定义表中的Id
     */
    private long majorMainId;
    /**
     * 部门Id
     */
    private long deptId;
    /**
     * 是否收取服務費
     */
    private byte serviceCharge;
    /**
     * 顏色ID
     */
    private long colorId;
    /**
     * 0:新增；1:修改；2:刪除
     */
    private long conditions;
    /**
     * 是否同步 0：否 1：是
     */
    private long isRt;
    /**
     * 是否删除：0正常，1删除
     */
    private long deletes;
    /**
     * 是否時長食物 0=普通食品   1=計費食品  2=免費N小時   3=時段對沖   4=入場費食品
     */
    private long isTimingFood;
    /**
     * 最低持續時間
     */
    private long minLongTime;

    private long unitTime;
    /**
     * 單位價格
     */
    private double unitPrice;
    /**
     * 免費時間(小時)
     */
    private long freeLongTime;
    /**
     * 免費開始時間
     */
    private Date freePeriodBegin;
    /**
     * 是否參與會員喜好統計 0 參與  1 不參與
     */
    private long isStatistic;

    /**
     * 自定義字段
     */

    /**選中數量*/
    @Transient
    private int number;
    /**食品組ID*/
    @Transient
    private long topId;
    /**背景顏色*/
    @Transient
    private int bgColor = Color.parseColor("#03a9f4");
    /**字體顏色*/
    @Transient
    private int fontColor = Color.parseColor("#FFFFFF");
    /**最大選中數*/
    @Transient
    private String maxNumber = "";
    /**動態的最大選中數*/
    @Transient
    private String currentMaxNumber= "";
    /**是否選中*/
    @Transient
    private boolean selected;
    /**是否组合食品*/
    @Transient
    private boolean isComboFood = false;

    @Generated(hash = 408737970)
    public Food(Long id, long parentId, long restaurantId, byte isParent,
            long seqNo, String foodName, String foodName1, String foodName2,
            String plu, String posFid, String foodDesc, long limitAmount,
            long limitType, String foodSummary, long invisible, byte autoMod,
            double price, double marketPrice, double lunchboxPrice,
            String imgUrlSmall, String imageurl, long riceponInvisible, double cost,
            Date startDate, Date endDate, long like, long totalSold, long isSold,
            String createBy, Date createTime, String updateBy, Date updateTime,
            long periodId, long ableDiscount, long takeaway, long blueEdit,
            long cartEdit, long autoMerge, String printSeting,
            long isPrintQueueCode, long queueHeadId, long approve, long printFont,
            long advPrice, long printToBill, double pointsAdd, long pointsRatio,
            double pointsRedeem, long ktPrintMainItem, long ktShowPrice,
            long printTo, long toPax, long foodType, long majorMainId, long deptId,
            byte serviceCharge, long colorId, long conditions, long isRt,
            long deletes, long isTimingFood, long minLongTime, long unitTime,
            double unitPrice, long freeLongTime, Date freePeriodBegin,
            long isStatistic) {
        this.id = id;
        this.parentId = parentId;
        this.restaurantId = restaurantId;
        this.isParent = isParent;
        this.seqNo = seqNo;
        this.foodName = foodName;
        this.foodName1 = foodName1;
        this.foodName2 = foodName2;
        this.plu = plu;
        this.posFid = posFid;
        this.foodDesc = foodDesc;
        this.limitAmount = limitAmount;
        this.limitType = limitType;
        this.foodSummary = foodSummary;
        this.invisible = invisible;
        this.autoMod = autoMod;
        this.price = price;
        this.marketPrice = marketPrice;
        this.lunchboxPrice = lunchboxPrice;
        this.imgUrlSmall = imgUrlSmall;
        this.imageurl = imageurl;
        this.riceponInvisible = riceponInvisible;
        this.cost = cost;
        this.startDate = startDate;
        this.endDate = endDate;
        this.like = like;
        this.totalSold = totalSold;
        this.isSold = isSold;
        this.createBy = createBy;
        this.createTime = createTime;
        this.updateBy = updateBy;
        this.updateTime = updateTime;
        this.periodId = periodId;
        this.ableDiscount = ableDiscount;
        this.takeaway = takeaway;
        this.blueEdit = blueEdit;
        this.cartEdit = cartEdit;
        this.autoMerge = autoMerge;
        this.printSeting = printSeting;
        this.isPrintQueueCode = isPrintQueueCode;
        this.queueHeadId = queueHeadId;
        this.approve = approve;
        this.printFont = printFont;
        this.advPrice = advPrice;
        this.printToBill = printToBill;
        this.pointsAdd = pointsAdd;
        this.pointsRatio = pointsRatio;
        this.pointsRedeem = pointsRedeem;
        this.ktPrintMainItem = ktPrintMainItem;
        this.ktShowPrice = ktShowPrice;
        this.printTo = printTo;
        this.toPax = toPax;
        this.foodType = foodType;
        this.majorMainId = majorMainId;
        this.deptId = deptId;
        this.serviceCharge = serviceCharge;
        this.colorId = colorId;
        this.conditions = conditions;
        this.isRt = isRt;
        this.deletes = deletes;
        this.isTimingFood = isTimingFood;
        this.minLongTime = minLongTime;
        this.unitTime = unitTime;
        this.unitPrice = unitPrice;
        this.freeLongTime = freeLongTime;
        this.freePeriodBegin = freePeriodBegin;
        this.isStatistic = isStatistic;
    }

    @Generated(hash = 866324199)
    public Food() {
    }




    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public long getTopId() {
        return topId;
    }

    public void setTopId(long topId) {
        this.topId = topId;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Long getRestaurantId() {
        return restaurantId;
    }

    public void setRestaurantId(Long restaurantId) {
        this.restaurantId = restaurantId;
    }

    public Byte getIsParent() {
        return isParent;
    }

    public void setIsParent(Byte isParent) {
        this.isParent = isParent;
    }

    public Long getSeqNo() {
        return seqNo;
    }

    public void setSeqNo(Long seqNo) {
        this.seqNo = seqNo;
    }

    public String getFoodName() {
        return foodName;
    }

    public void setFoodName(String foodName) {
        this.foodName = foodName;
    }

    public String getPosFid() {
        return posFid;
    }

    public void setPosFid(String posFid) {
        this.posFid = posFid;
    }

    public String getFoodDesc() {
        return foodDesc;
    }

    public void setFoodDesc(String foodDesc) {
        this.foodDesc = foodDesc;
    }

    public Long getLimitAmount() {
        return limitAmount;
    }

    public void setLimitAmount(Long limitAmount) {
        this.limitAmount = limitAmount;
    }

    public Long getLimitType() {
        return limitType;
    }

    public void setLimitType(Long limitType) {
        this.limitType = limitType;
    }

    public String getFoodSummary() {
        return foodSummary;
    }

    public Long getInvisible() {
        return invisible;
    }

    public void setInvisible(Long invisible) {
        this.invisible = invisible;
    }

    public Byte getAutoMod() {
        return autoMod;
    }

    public void setAutoMod(Byte autoMod) {
        this.autoMod = autoMod;
    }

    public Double getPrice() {
        return price;
    }

    public void setPrice(Double price) {
        this.price = price;
    }

    public Double getMarketPrice() {
        return marketPrice;
    }

    public void setMarketPrice(Double marketPrice) {
        this.marketPrice = marketPrice;
    }

    public Double getLunchboxPrice() {
        return lunchboxPrice;
    }

    public void setLunchboxPrice(Double lunchboxPrice) {
        this.lunchboxPrice = lunchboxPrice;
    }

    public String getImgUrlSmall() {
        return imgUrlSmall;
    }

    public void setImgUrlSmall(String imgUrlSmall) {
        this.imgUrlSmall = imgUrlSmall;
    }

    public String getImageurl() {
        return imageurl;
    }

    public void setImageurl(String imageurl) {
        this.imageurl = imageurl;
    }

    public Long getRiceponInvisible() {
        return riceponInvisible;
    }

    public void setRiceponInvisible(Long riceponInvisible) {
        this.riceponInvisible = riceponInvisible;
    }

    public Double getCost() {
        return cost;
    }

    public void setCost(Double cost) {
        this.cost = cost;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Long getLike() {
        return like;
    }

    public void setLike(Long like) {
        this.like = like;
    }

    public Long getTotalSold() {
        return totalSold;
    }

    public void setTotalSold(Long totalSold) {
        this.totalSold = totalSold;
    }

    public Long getIsSold() {
        return isSold;
    }

    public void setIsSold(Long isSold) {
        this.isSold = isSold;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getPeriodId() {
        return periodId;
    }

    public void setPeriodId(Long periodId) {
        this.periodId = periodId;
    }

    public Long getAbleDiscount() {
        return ableDiscount;
    }

    public void setAbleDiscount(Long ableDiscount) {
        this.ableDiscount = ableDiscount;
    }

    public Long getTakeaway() {
        return takeaway;
    }

    public void setTakeaway(Long takeaway) {
        this.takeaway = takeaway;
    }

    public Long getBlueEdit() {
        return blueEdit;
    }

    public void setBlueEdit(Long blueEdit) {
        this.blueEdit = blueEdit;
    }

    public Long getCartEdit() {
        return cartEdit;
    }

    public void setCartEdit(Long cartEdit) {
        this.cartEdit = cartEdit;
    }

    public Long getAutoMerge() {
        return autoMerge;
    }

    public void setAutoMerge(Long autoMerge) {
        this.autoMerge = autoMerge;
    }

    public String getFoodName1() {
        return foodName1;
    }

    public void setFoodName1(String foodName1) {
        this.foodName1 = foodName1;
    }

    public String getFoodName2() {
        return foodName2;
    }

    public void setFoodName2(String foodName2) {
        this.foodName2 = foodName2;
    }

    public String getPlu() {
        return plu;
    }

    public void setPlu(String plu) {
        this.plu = plu;
    }

    public String getPrintSeting() {
        return printSeting;
    }

    public void setPrintSeting(String printSeting) {
        this.printSeting = printSeting;
    }

    public Long getIsPrintQueueCode() {
        return isPrintQueueCode;
    }

    public void setIsPrintQueueCode(Long isPrintQueueCode) {
        this.isPrintQueueCode = isPrintQueueCode;
    }

    public Long getQueueHeadId() {
        return queueHeadId;
    }

    public void setQueueHeadId(Long queueHeadId) {
        this.queueHeadId = queueHeadId;
    }

    public Long getApprove() {
        return approve;
    }

    public void setApprove(Long approve) {
        this.approve = approve;
    }

    public Long getPrintFont() {
        return printFont;
    }

    public void setPrintFont(Long printFont) {
        this.printFont = printFont;
    }

    public Long getAdvPrice() {
        return advPrice;
    }

    public void setAdvPrice(Long advPrice) {
        this.advPrice = advPrice;
    }

    public Long getPrintToBill() {
        return printToBill;
    }

    public void setPrintToBill(Long printToBill) {
        this.printToBill = printToBill;
    }

    public Double getPointsAdd() {
        return pointsAdd;
    }

    public void setPointsAdd(Double pointsAdd) {
        this.pointsAdd = pointsAdd;
    }

    public Long getPointsRatio() {
        return pointsRatio;
    }

    public void setPointsRatio(Long pointsRatio) {
        this.pointsRatio = pointsRatio;
    }

    public Double getPointsRedeem() {
        return pointsRedeem;
    }

    public void setPointsRedeem(Double pointsRedeem) {
        this.pointsRedeem = pointsRedeem;
    }

    public Long getKtPrintMainItem() {
        return ktPrintMainItem;
    }

    public void setKtPrintMainItem(Long ktPrintMainItem) {
        this.ktPrintMainItem = ktPrintMainItem;
    }

    public Long getKtShowPrice() {
        return ktShowPrice;
    }

    public void setKtShowPrice(Long ktShowPrice) {
        this.ktShowPrice = ktShowPrice;
    }

    public Long getPrintTo() {
        return printTo;
    }

    public void setPrintTo(Long printTo) {
        this.printTo = printTo;
    }

    public Long getToPax() {
        return toPax;
    }

    public void setToPax(Long toPax) {
        this.toPax = toPax;
    }

    public Long getFoodType() {
        return foodType;
    }

    public void setFoodType(Long foodType) {
        this.foodType = foodType;
    }

    public Long getMajorMainId() {
        return majorMainId;
    }

    public void setMajorMainId(Long majorMainId) {
        this.majorMainId = majorMainId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Byte getServiceCharge() {
        return serviceCharge;
    }

    public void setServiceCharge(Byte serviceCharge) {
        this.serviceCharge = serviceCharge;
    }

    public Long getColorId() {
        return colorId;
    }

    public void setColorId(Long colorId) {
        this.colorId = colorId;
    }

    public Long getConditions() {
        return conditions;
    }

    public void setConditions(Long conditions) {
        this.conditions = conditions;
    }

    public Long getIsRt() {
        return isRt;
    }

    public void setIsRt(Long isRt) {
        this.isRt = isRt;
    }

    public Long getDeletes() {
        return deletes;
    }

    public void setDeletes(Long deletes) {
        this.deletes = deletes;
    }

    public Long getIsTimingFood() {
        return isTimingFood;
    }

    public void setIsTimingFood(Long isTimingFood) {
        this.isTimingFood = isTimingFood;
    }

    public Long getMinLongTime() {
        return minLongTime;
    }

    public void setMinLongTime(Long minLongTime) {
        this.minLongTime = minLongTime;
    }

    public Long getUnitTime() {
        return unitTime;
    }

    public void setUnitTime(Long unitTime) {
        this.unitTime = unitTime;
    }

    public Double getUnitPrice() {
        return unitPrice;
    }

    public void setUnitPrice(Double unitPrice) {
        this.unitPrice = unitPrice;
    }

    public Long getFreeLongTime() {
        return freeLongTime;
    }

    public void setFreeLongTime(Long freeLongTime) {
        this.freeLongTime = freeLongTime;
    }

    public Date getFreePeriodBegin() {
        return freePeriodBegin;
    }

    public void setFreePeriodBegin(Date freePeriodBegin) {
        this.freePeriodBegin = freePeriodBegin;
    }

    public Long getIsStatistic() {
        return isStatistic;
    }

    public void setIsStatistic(Long isStatistic) {
        this.isStatistic = isStatistic;
    }

    public int getNumber() {
        return number;
    }

    public void setNumber(int number) {
        this.number = number;
    }

    public int getBgColor() {
        return bgColor;
    }

    public void setBgColor(int bgColor) {
        this.bgColor = bgColor;
    }

    public int getFontColor() {
        return fontColor;
    }

    public void setFontColor(int fontColor) {
        this.fontColor = fontColor;
    }

    public String getMaxNumber() {
        return maxNumber;
    }

    public void setMaxNumber(String maxNumber) {
        this.maxNumber = maxNumber;
    }

    public String getCurrentMaxNumber() {
        return currentMaxNumber;
    }

    public void setCurrentMaxNumber(String currentMaxNumber) {
        this.currentMaxNumber = currentMaxNumber;
    }

    public boolean isSelected() {
        return selected;
    }

    public void setSelected(boolean selected) {
        this.selected = selected;
    }

    public boolean isComboFood() {
        return isComboFood;
    }

    public void setComboFood(boolean comboFood) {
        isComboFood = comboFood;
    }

    public void setId(long id) {
        this.id = id;
    }

    public void setParentId(long parentId) {
        this.parentId = parentId;
    }

    public void setRestaurantId(long restaurantId) {
        this.restaurantId = restaurantId;
    }

    public void setIsParent(byte isParent) {
        this.isParent = isParent;
    }

    public void setSeqNo(long seqNo) {
        this.seqNo = seqNo;
    }

    public void setLimitAmount(long limitAmount) {
        this.limitAmount = limitAmount;
    }

    public void setLimitType(long limitType) {
        this.limitType = limitType;
    }

    public void setFoodSummary(String foodSummary) {
        this.foodSummary = foodSummary;
    }

    public void setInvisible(long invisible) {
        this.invisible = invisible;
    }

    public void setAutoMod(byte autoMod) {
        this.autoMod = autoMod;
    }

    public void setPrice(double price) {
        this.price = price;
    }

    public void setMarketPrice(double marketPrice) {
        this.marketPrice = marketPrice;
    }

    public void setLunchboxPrice(double lunchboxPrice) {
        this.lunchboxPrice = lunchboxPrice;
    }

    public void setRiceponInvisible(long riceponInvisible) {
        this.riceponInvisible = riceponInvisible;
    }

    public void setCost(double cost) {
        this.cost = cost;
    }

    public void setLike(long like) {
        this.like = like;
    }

    public void setTotalSold(long totalSold) {
        this.totalSold = totalSold;
    }

    public void setIsSold(long isSold) {
        this.isSold = isSold;
    }

    public void setPeriodId(long periodId) {
        this.periodId = periodId;
    }

    public void setAbleDiscount(long ableDiscount) {
        this.ableDiscount = ableDiscount;
    }

    public void setTakeaway(long takeaway) {
        this.takeaway = takeaway;
    }

    public void setBlueEdit(long blueEdit) {
        this.blueEdit = blueEdit;
    }

    public void setCartEdit(long cartEdit) {
        this.cartEdit = cartEdit;
    }

    public void setAutoMerge(long autoMerge) {
        this.autoMerge = autoMerge;
    }

    public void setIsPrintQueueCode(long isPrintQueueCode) {
        this.isPrintQueueCode = isPrintQueueCode;
    }

    public void setQueueHeadId(long queueHeadId) {
        this.queueHeadId = queueHeadId;
    }

    public void setApprove(long approve) {
        this.approve = approve;
    }

    public void setPrintFont(long printFont) {
        this.printFont = printFont;
    }

    public void setAdvPrice(long advPrice) {
        this.advPrice = advPrice;
    }

    public void setPrintToBill(long printToBill) {
        this.printToBill = printToBill;
    }

    public void setPointsAdd(double pointsAdd) {
        this.pointsAdd = pointsAdd;
    }

    public void setPointsRatio(long pointsRatio) {
        this.pointsRatio = pointsRatio;
    }

    public void setPointsRedeem(double pointsRedeem) {
        this.pointsRedeem = pointsRedeem;
    }

    public void setKtPrintMainItem(long ktPrintMainItem) {
        this.ktPrintMainItem = ktPrintMainItem;
    }

    public void setKtShowPrice(long ktShowPrice) {
        this.ktShowPrice = ktShowPrice;
    }

    public void setPrintTo(long printTo) {
        this.printTo = printTo;
    }

    public void setToPax(long toPax) {
        this.toPax = toPax;
    }

    public void setFoodType(long foodType) {
        this.foodType = foodType;
    }

    public void setMajorMainId(long majorMainId) {
        this.majorMainId = majorMainId;
    }

    public void setDeptId(long deptId) {
        this.deptId = deptId;
    }

    public void setServiceCharge(byte serviceCharge) {
        this.serviceCharge = serviceCharge;
    }

    public void setColorId(long colorId) {
        this.colorId = colorId;
    }

    public void setConditions(long conditions) {
        this.conditions = conditions;
    }

    public void setIsRt(long isRt) {
        this.isRt = isRt;
    }

    public void setDeletes(long deletes) {
        this.deletes = deletes;
    }

    public void setIsTimingFood(long isTimingFood) {
        this.isTimingFood = isTimingFood;
    }

    public void setMinLongTime(long minLongTime) {
        this.minLongTime = minLongTime;
    }

    public void setUnitTime(long unitTime) {
        this.unitTime = unitTime;
    }

    public void setUnitPrice(double unitPrice) {
        this.unitPrice = unitPrice;
    }

    public void setFreeLongTime(long freeLongTime) {
        this.freeLongTime = freeLongTime;
    }

    public void setIsStatistic(long isStatistic) {
        this.isStatistic = isStatistic;
    }

}
